<?php

namespace app\index\controller;

use app\common\controller\Frontend;
use think\Db;
class Index extends Frontend
{

    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';



    public function index()
    {
        exit;
        return $this->view->fetch();
    }

    /**
     * app下载页
     * 判断是安卓还是ios
     */
    public function appdownload() {
        $this->view->assign('downurl', config("site.apkurl"));
        return $this->view->fetch();

        if(strpos($_SERVER['HTTP_USER_AGENT'], 'iPhone')||strpos($_SERVER['HTTP_USER_AGENT'], 'iPad')){
            header("Location: https://apps.apple.com/cn/app/%E4%BC%B4%E5%A3%B0%E8%AF%AD%E9%9F%B3/id1556551099");
        }else if(strpos($_SERVER['HTTP_USER_AGENT'], 'Android')){
            //$host = $_SERVER["REQUEST_SCHEME"]."://".$_SERVER["HTTP_HOST"];
            //header("Location: ".$host."/index/index/download");
            $this->view->assign('downurl', config("site.apkurl"));
            return $this->view->fetch();
        }else{
            $this->view->assign('downurl', config("site.apkurl"));
            return $this->view->fetch();
        }
    }

    //基础文章网页
    public function basedata(){
        $key = input('key','');
        if(!$key){
            exit;
        }
        $content = Db::name('basedata')->where('key',$key)->find();
        $this->assign('content',$content['content']);
        return $this->fetch();
    }

}
